# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
"""Client and server classes corresponding to protobuf-defined services."""
import grpc

import doctors_pb2 as doctors__pb2


class DoctorServiceStub(object):
    """a service for storing doctor information
    """

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.ListDoctors = channel.unary_unary(
                '/proto.DoctorService/ListDoctors',
                request_serializer=doctors__pb2.NilMsg.SerializeToString,
                response_deserializer=doctors__pb2.DoctorList.FromString,
                )
        self.ListDoctorsStream = channel.unary_stream(
                '/proto.DoctorService/ListDoctorsStream',
                request_serializer=doctors__pb2.NilMsg.SerializeToString,
                response_deserializer=doctors__pb2.Doctor.FromString,
                )
        self.AddDoctor = channel.unary_unary(
                '/proto.DoctorService/AddDoctor',
                request_serializer=doctors__pb2.Doctor.SerializeToString,
                response_deserializer=doctors__pb2.Doctor.FromString,
                )
        self.Alive = channel.unary_unary(
                '/proto.DoctorService/Alive',
                request_serializer=doctors__pb2.NilMsg.SerializeToString,
                response_deserializer=doctors__pb2.NilMsg.FromString,
                )


class DoctorServiceServicer(object):
    """a service for storing doctor information
    """

    def ListDoctors(self, request, context):
        """returns a list of doctors
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def ListDoctorsStream(self, request, context):
        """returns a list of doctors as a stream
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def AddDoctor(self, request, context):
        """creates a new doctor
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def Alive(self, request, context):
        """Check to see if the service is alive
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_DoctorServiceServicer_to_server(servicer, server):
    rpc_method_handlers = {
            'ListDoctors': grpc.unary_unary_rpc_method_handler(
                    servicer.ListDoctors,
                    request_deserializer=doctors__pb2.NilMsg.FromString,
                    response_serializer=doctors__pb2.DoctorList.SerializeToString,
            ),
            'ListDoctorsStream': grpc.unary_stream_rpc_method_handler(
                    servicer.ListDoctorsStream,
                    request_deserializer=doctors__pb2.NilMsg.FromString,
                    response_serializer=doctors__pb2.Doctor.SerializeToString,
            ),
            'AddDoctor': grpc.unary_unary_rpc_method_handler(
                    servicer.AddDoctor,
                    request_deserializer=doctors__pb2.Doctor.FromString,
                    response_serializer=doctors__pb2.Doctor.SerializeToString,
            ),
            'Alive': grpc.unary_unary_rpc_method_handler(
                    servicer.Alive,
                    request_deserializer=doctors__pb2.NilMsg.FromString,
                    response_serializer=doctors__pb2.NilMsg.SerializeToString,
            ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
            'proto.DoctorService', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))


 # This class is part of an EXPERIMENTAL API.
class DoctorService(object):
    """a service for storing doctor information
    """

    @staticmethod
    def ListDoctors(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/proto.DoctorService/ListDoctors',
            doctors__pb2.NilMsg.SerializeToString,
            doctors__pb2.DoctorList.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def ListDoctorsStream(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_stream(request, target, '/proto.DoctorService/ListDoctorsStream',
            doctors__pb2.NilMsg.SerializeToString,
            doctors__pb2.Doctor.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def AddDoctor(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/proto.DoctorService/AddDoctor',
            doctors__pb2.Doctor.SerializeToString,
            doctors__pb2.Doctor.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def Alive(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/proto.DoctorService/Alive',
            doctors__pb2.NilMsg.SerializeToString,
            doctors__pb2.NilMsg.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)
